Package org.h2gis.functions.spatial.operators

## Class ST_Union

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.operators.ST_Union

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Union
    extends org.h2gis.api.DeterministicScalarFunction

Compute the union of two or more Geometries.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Union()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static org.locationtech.jts.geom.Geometry` `union​(org.locationtech.jts.geom.Geometry geomList)`
`static org.locationtech.jts.geom.Geometry` `union​(org.locationtech.jts.geom.Geometry a, org.locationtech.jts.geom.Geometry b)`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Union

    public ST_Union()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### union

    public static org.locationtech.jts.geom.Geometry union​(org.locationtech.jts.geom.Geometry a,
                                                           org.locationtech.jts.geom.Geometry b)
                                                    throws SQLException

Parameters:
  `a` - Geometry instance.
  `b` - Geometry instance
Returns:
  union of Geometries a and b
Throws:
  `SQLException`

#### union

    public static org.locationtech.jts.geom.Geometry union​(org.locationtech.jts.geom.Geometry geomList)

Parameters:
  `geomList` - Geometry list
Returns:
  union of all Geometries in geomList